Name:		libMicro
Version:	0.4.0
Release:	1%{?dist}
Summary:	Portable micro-benchmarks for various system and library calls

Group:		Applications/System
License:	CDDL

%define lowername libmicro
URL:		http://hub.opensolaris.org/bin/view/Project+%{lowername}/
Source0:	http://hub.opensolaris.org/bin/download/Project+%{lowername}/Source+Archives/%{lowername}-%{version}.tar.gz
Patch0:		libMicro-needs-pthread.patch
Patch1:		libMicro-nawk-path.patch
Patch2:		libMicro-coreutils-arch.patch

Requires:	nawk

%description
LibMicro is a portable set of micro-benchmarks that many Solaris engineers used
during Solaris 10 development to measure the performance of various system and
library calls. LibMicro was developed by Bart Smaalders and Phil Harman as part
of their If Linux is faster it's a Solaris bug performance campaign.

The libMicro sources include an awk script that generates color coded HTML pages
to easily compare various OS revs, processors and other differences in a quick
manner.

%prep
%setup -q
%patch0
%patch1
%patch2
sed -i "s|^#CFLAGS=.*$|CFLAGS=%{optflags}|" Makefile.Linux

%build
make %{?_smp_mflags}
rm bin-$(uname -m)/*.a
rm bin-$(uname -m)/*.o
rm bin-$(uname -m)/*.h
echo -e \#!/bin/sh\\ncd %{_libexecdir}/%{name}\; exec ./bench \"\$@\" > sysbench

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_libexecdir}/%{name}
cp -a bench wrapper bin bin-$(uname -m) %{buildroot}%{_libexecdir}/%{name}/
install -Dm755 multiview %{buildroot}%{_bindir}/multiview
install -Dm755 sysbench %{buildroot}%{_bindir}/bench

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{_libexecdir}/%{name}
%{_bindir}/*
%doc README OPENSOLARIS.LICENSE

%changelog
* Sat Oct 30 2010 Pierre Carrier <prc@redhat.com> 0.4.0-1
- Original packaging
